package org.fortiss.af3.platform.raspberry.generator.executable.interfaces;

import org.fortiss.af3.component.model.OutputPort;
import org.fortiss.af3.deployment.model.Deployment;
import org.fortiss.af3.expression.model.terms.IExpressionTerm;

/**
 * Interface for platform-specific executables, which support writing of a
 * non-null value.
 * 
 * @author zverlov
 * @author $Author: zverlov $
 * @version $Rev: 5274 $
 * @ConQAT.Rating YELLOW Hash: 5F918B896286A3F5A3B240C3917B2A45
 */
public interface IWriteExecutable {

	/**
	 * Returns a write access term to this executable for the given value and
	 * output port.
	 */
	/* IExpressionTerm getValueWriteAccessor(IExpressionTerm signal, IExpressionTerm port); */

	/**
	 * Returns a Write Accessor.
	 */
	/*
	 * IExpressionTerm getValueWriteAccessor(IExpressionTerm signal, IExpressionTerm port,
	 * IExpressionTerm pin, ActuatorType_t actuatorType);
	 */

	/**
	 * @param logicalSignal
	 * @param value
	 * @param depl
	 * @return
	 */
	IExpressionTerm getValueWriteAccessor(OutputPort logicalSignal, IExpressionTerm value,
			Deployment depl);
}
