package org.fortiss.af3.platform.raspberry.generator.executable.interfaces;

import org.fortiss.af3.component.model.OutputPort;
import org.fortiss.af3.expression.model.terms.IExpressionTerm;

/**
 * Interface for platform-specific executables, which also support writing of <code>null</code>
 * values.
 * 
 * @author zverlov
 * @author $Author: zverlov $
 * @version $Rev: 5274 $
 * @ConQAT.Rating GREEN Hash: EE592DF39E033B60DBBFC8EF071A43C3
 */
public interface IWriteExecutableWithNoValSupport extends IWriteExecutable {

	/**
	 * Returns a write access term to this executable for the given output port.
	 */
	IExpressionTerm getNoValWriteAccessor(OutputPort p);
}
